### Virtual Method

# Gegl Metadata set_resolution

#### Declaration [src]

    gboolean
    set_resolution (
      GeglMetadata* metadata,
      GeglResolutionUnit unit,
      gfloat x,
      gfloat y
    )

#### Description [src]

Set resolution retrieved from image file’s metadata. Intended for use by the image file reader. If resolution is not supported by the application or if the operation fails `FALSE` is returned and the values are ignored.

#### Parameters

`unit`

  Type: `GeglResolutionUnit`

  Specify `GeglResolutionUnit`.

`x`

  Type: `gfloat`

  X resolution.

`y`

  Type: `gfloat`

  Y resolution.

#### Return value

Type: `gboolean`

`TRUE` if successful.